# libcircllhist

[![Build Status](https://travis-ci.org/circonus-labs/libcircllhist.svg?branch=master)](https://travis-ci.org/circonus-labs/libcircllhist)

An implementation of Circonus log-linear histograms.

## Installing

    autoconf
    ./configure
    make
    make install

## Tests

    make tests

## Documentation

The circllhist API is documented in the header file [circllhist.h](src/circllhist.h).
A html version can be generated using:

    make docs

This requires doxygen to be available on your system.

## Python bindings

Build and install the C library as described above.
Then use the following command to install the python library.

    cd src/python
    python setup.py install

## Lua bindings

This repository contains lua bindings for libcircllhist, which are generated by `make`,
and will be installed by `make install` to the directory `/usr/local/share/lua/5.1/`.

## FAQ

### After the installation, libcircllhist.so can not be found by my program / the python bindings. How can I fix this?

One possible source for this problem is that libcircllhist.so is not installed into the right directory for your system.
Check /etc/ld.so.conf for the expected library paths, and provide the appropriate path to ./configure.
E.g. on Ubuntu 16 this would be:

```
./configure --libdir /usr/lib/x86_64-linux-gnu/
```

See the [Multiarch-spec](https://wiki.ubuntu.com/MultiarchSpec) for the rational behind this directory layout.
